Storyden
Trails

Get a Trail run and its independent action results

Return one Trail run and its action runs. The response contains the immutable trigger snapshot, aggregate status, action configuration snapshots, outputs, errors, and linked Robot resources.

GET/trails/{trail_id}/runs/{run_id}

Return one Trail run and its action runs. The response contains the immutable trigger snapshot, aggregate status, action configuration snapshots, outputs, errors, and linked Robot resources.

storyden-session<token>

In: cookie

Path Parameters

trail_id*string

A unique identifier for this resource.

run_id*string

A unique identifier for this resource.

Response Body

application/json

application/json

curl -X GET "https://example.com/trails/cc5lnd2s1s4652adtu50/runs/cc5lnd2s1s4652adtu50"
{
  "id": "cc5lnd2s1s4652adtu50",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "misc": {},
  "trail_id": "cc5lnd2s1s4652adtu50",
  "trigger": {
    "trail_id": "cc5lnd2s1s4652adtu50",
    "trail_run_id": "cc5lnd2s1s4652adtu50",
    "kind": "scheduled",
    "trigger": {
      "type": "schedule",
      "schedule": {
        "start": "2026-08-18T10:00:00",
        "timezone": "string",
        "rule": {
          "frequency": "hourly",
          "interval": 1,
          "by_weekday": [
            "monday"
          ],
          "by_month": [
            1
          ],
          "by_month_day": [
            -31
          ],
          "count": 1
        }
      }
    },
    "scheduled_for": "2019-08-24T14:15:22Z",
    "observed_at": "2019-08-24T14:15:22Z",
    "initiated_by": "cc5lnd2s1s4652adtu50"
  },
  "status": "queued",
  "scheduled_for": "2019-08-24T14:15:22Z",
  "actions": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "deletedAt": "2019-08-24T14:15:22Z",
      "misc": {},
      "action": {
        "id": "cc5lnd2s1s4652adtu50",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z",
        "deletedAt": "2019-08-24T14:15:22Z",
        "misc": {},
        "action": {
          "type": "robot_run",
          "robot_ref": "string",
          "instruction": "string"
        }
      },
      "status": "queued",
      "output": null,
      "target": {
        "type": "robot_run",
        "robot_session_id": "cc5lnd2s1s4652adtu50",
        "output": {
          "status": "completed",
          "summary": "string",
          "attention": {
            "reason": "string",
            "message": "string"
          }
        }
      },
      "error": "string",
      "started_at": "2019-08-24T14:15:22Z",
      "finished_at": "2019-08-24T14:15:22Z"
    }
  ],
  "finished_at": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}